@import "~@resources/scss/base/bootstrap-extended/include"; // Bootstrap includes
@import "~@resources/scss/base/components/include"; // Components includes

@import "~@resources/scss/base/pages/app-calendar.scss";

// Color palettes
@import "~@resources/scss/base/core/colors/palette-variables.scss";

.full-calendar-section {
  padding: 1rem;
  box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
  border-radius: 22px;
  .fc-sidebarToggle-button {
    display: none;
    // content: '';
    background-image: url(str-replace(str-replace($menu, "currentColor", $body-color), "#", "%23"));
    width: 25px;
    height: 25px;
    margin-right: 0.7rem !important;
    background-position: center;
    background-repeat: no-repeat;
  }
  .fc-day-disabled {
    visibility: hidden;
  }
  .full-calendar-body {
    border-radius: 18px;
  }
  .card {
    background: transparent;
  }
  .app-calendar-sidebar {
    background: transparent;
  }
  .vc-container {
    border: none;
  }

  .fc-daygrid-day:hover {
    background-color: $primary-active-background;
    cursor: pointer;
  }

  .vc-header {
    padding: 0px 0px 15px 11px;
    text-transform: none;
  }

  .vc-arrows-container {
    padding: 0px 8px;
  }

  .vc-arrows-container .vc-arrow.is-left {
    margin-right: 10px;
  }

  .vc-pane {
    min-width: auto !important;
  }

  .vc-highlights .vc-highlight {
    background-color: $primary !important;
    border-radius: 8px !important;
    font-weight: 300 !important;
  }

  .vc-weeks {
    padding: 0px !important;
    display: inline-grid !important;
    min-width: 215px !important;
    color: $muted;
  }

  .box-venue-button {
    padding: 26px;
    border-bottom: 1px solid #ebe9f1;
  }
  .box-venue-button button {
    background: $primary;
    box-shadow: 0px 2px 4px rgba(165, 163, 174, 0.3);
    border-radius: 15px;
    height: 38px;
    svg {
      margin-left: 8px;
    }
  }
  .calender-block {
    border-radius: 15px;
  }
  .calender-block .fc-button {
    border-radius: 14px !important;
    padding: 10px 10px !important;
  }
  .calender-block .fc-AllEvent-button {
    padding: 10px 20px !important;
  }

  .calender-block .fc-icon {
    color: $muted !important;
  }
  .box-calendar {
    border-bottom: 1px solid #ebe9f1;
  }

  .box-venue-list {
    padding: 24px;
    .title {
      font-weight: 700;
      font-size: 14px;
      margin-bottom: 16px !important;
    }
    .custom-checkbox {
      margin-bottom: 12px;
    }
    .custom-control-label {
      color: $muted;
      font-size: 14px;
    }
  }

  .fc .fc-toolbar .fc-toolbar-chunk {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
  }
}
